<h2 mat-dialog-title>Add city</h2>
<!-- [formGroup]="form"  -->
<mat-dialog-content [formGroup]="form">
  <!-- <mat-form-field>
        <input matInput
                placeholder="Course Description"
               formControlName="description">
    </mat-form-field>
    <mat-form-field>
      <input matInput
              placeholder="Select Category"
             formControlName="category">
  </mat-form-field>  -->
  
  <p>
    <mat-form-field appearance="fill">
      <mat-label>City</mat-label>
      <input matInput formControlName="cityName" placeholder="Placeholder" />
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </p>
  <p>
    <mat-form-field appearance="fill">
      <mat-label>latitude</mat-label>
      <input type="number" matInput formControlName="latitude" placeholder="Placeholder" />
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </p>
  <p>
    <mat-form-field appearance="fill">
      <mat-label>longitude</mat-label>
      <input type="number" matInput formControlName="longitude" placeholder="Placeholder" />
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </p>
  <p>
    <mat-form-field appearance="fill">
      <mat-label>population</mat-label>
      <input type="number" matInput formControlName="population" placeholder="Placeholder" />
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </p>
  <p>
    <mat-form-field appearance="fill">
      <mat-label>Surface Area</mat-label>
      <input type="number" matInput formControlName="surfaceArea" placeholder="Placeholder" />
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </p>

</mat-dialog-content>

<mat-dialog-actions>
  <button class="mat-raised-button" mat-raised-button (click)="close()">Close</button>
  <button class="mat-raised-button mat-primary" mat-raised-button (click)="save()" [disabled]="form.invalid">Save</button>
</mat-dialog-actions>
 